Package: org.grails.validation.discovery

## [Groovy] Interface ConstrainedDiscovery

-     interface ConstrainedDiscovery

  Strategy interface for discovering the Constrained properties of a class

  Authors:
    Graeme Rocher
  Since:
    6.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.Map<java.lang.String, Constrained>` | `findConstrainedProperties(org.grails.datastore.mapping.model.PersistentEntity entity)` Finds the constrained properties for the given entity

- - ### Method Detail

    - #### abstract java.util.Map<java.lang.String, Constrained> findConstrainedProperties(org.grails.datastore.mapping.model.PersistentEntity entity)

      Finds the constrained properties for the given entity

      Parameters:
        `entity` - The entity
      Returns:
        The constrained properties